Skip to main content
Regenerate Status Monitors

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

RunAsBatch

RegenerateStatusMonitors: Regenerate status monitors

RunAsBatch
boolean

Response

OK

BatchTaskInfo contains information about one batch task. Carrier object for BatchTaskInfo. Services for the BatchTaskInfo Carrier is available from the Batch Agent.

Id
integer<int32>

Id of the task.

Name
string

Name of the task.

AssociateId
integer<int32>

Task owner. If it is a System task, AssociateId = 0.

DetailsTable
integer<int32>

Id of table with more information about the task.

DetailsRecord
integer<int32>

Record Id of a row in the DetailsTable containing more info about the task.

IsSystemTask
boolean

If IsSystemTask is true, the task is not initiated by an associate.

IsInternalTask
boolean

If IsInternalTask is true, this task will not add a trace to the database.

ParameterObject
object

ParameterObject will be serialized to a binary blob and saved in the BinaryObject table. The link to the BinaryObject will be set using DetailsTable and DetailsRecord.

LastStarted
string<date-time>

When was the task last started.

Created
string<date-time>

Task creation time.

StartCount
integer<int32>

Maps to the startcount field in the batchtask table.

DatabaseSerialNumber
string

Serial number of the database the task is to run on.

Context
string

Context for the executing task.

Result
string

Maps to the result field in the batchtask table.

State
enum<string>

BatchTaskState of the task.

Available options:
Unknown,
New,
Aquired,
Started,
Succeeded,
Failed,
SucceededManualCleanup,
All
Description
string

Description of the task.

Response
string

Maps to the response field in the batchtask table.

Request
string

Maps to the request field in the batchtask table.

ProgressDescription
string

Descriptive text for the current stage

ProgressPercent
integer<int32>

Task progress, in percent of estimated total

FileName
string

The filename related to the batchtask.

CancellationBehaviour
enum<string>

Indicate if the task can be stopped.

Available options:
CanCancel,
CancelWithWarning,
CannotCancel
TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.